Page MenuHomePhabricator

Disabling the recent changes highlighting feature on Minerva
Closed, ResolvedPublic5 Story PointsBUG REPORT

Description

Highlighting can be enabled if following a URL e.g. https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:RecentChanges?hidebots=1&hidecategorization=1&limit=50&days=7&enhanced=1&damaging__likelygood_color=c2&urlversion=2

If you have highlighted results as part of a saved filter and you select that filter then highlighting appears on mobile and things get kinda messy.

Acceptance criteria

  • Highlighting is disabled on Minerva skin.

Developer notes

We will disable the feature.

We can hide the dots to the left and the filters themselves using:

.mw-rcfilters-ui-itemMenuOptionWidget-highlightButton,
 .mw-rcfilters-ui-highlights { display: none !important; }

The highlight backgrounds would remain.

A cleaner version would be to see if we can disable the feature altogether like we did with group changes

QA Results

ACStatusDetails
1T231054#5481687
2T231054#5481687

Details

Related Gerrit Patches:

Event Timeline

Jdlrobson updated the task description. (Show Details)

2 possible solutions needing input from Alex.

I think disabling makes the most sense as it's most consistent with the default experience (not having any saved filters)

Jdlrobson renamed this task from Highlighting on mobile is messy - disable or make work? to [Needs estimate/discussion] Highlighting on mobile is messy - disable or make work?.Aug 23 2019, 4:10 PM
alexhollender removed alexhollender as the assignee of this task.Aug 26 2019, 6:58 PM

I think disabling highlighting for mobile is reasonable in that:

  • I assume people won't be too confused if they select a saved filter on mobile that (on desktop) has highlighting rules but don't see the highlights present
  • it will be difficult to cleanly include the highlighting UI controls in the mobile interface
  • (not as relevant) the current experience where saved filters can have highlighting, but otherwise highlighting is missing from the interface is confusing
Jdlrobson updated the task description. (Show Details)Aug 26 2019, 6:59 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from [Needs estimate/discussion] Highlighting on mobile is messy - disable or make work? to [Needs estimate/discussion] Disabling the recent changes highlighting feature on mobile.Aug 26 2019, 7:12 PM
Jdlrobson renamed this task from [Needs estimate/discussion] Disabling the recent changes highlighting feature on mobile to [Needs estimate/discussion] Disabling the recent changes highlighting feature on Minerva.

From @Jdrewniak: what happens if we just disable the RC filter ResourceLoader module?

ovasileva set the point value for this task to 5.Aug 27 2019, 4:37 PM
ovasileva renamed this task from [Needs estimate/discussion] Disabling the recent changes highlighting feature on Minerva to Disabling the recent changes highlighting feature on Minerva.Aug 27 2019, 4:57 PM

Change 533890 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/core@master] Removing highlighting from mobile rcfilters

https://gerrit.wikimedia.org/r/533890

Change 533890 merged by jenkins-bot:
[mediawiki/core@master] Removing highlighting from mobile rcfilters

https://gerrit.wikimedia.org/r/533890

@Jdlrobson is it sufficient that I cannot see the option to highlight with AMC On or Off, Logged In or Out?

@Jdlrobson is it sufficient that I cannot see the option to highlight with AMC On or Off, Logged In or Out?

Provided this is on mobile. We should also check that these features are still available when you switch to desktop mode! :)

Edtadros reassigned this task from Edtadros to ovasileva.Sep 11 2019, 12:59 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Highlighting can be enabled if following a URL e.g. https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:RecentChanges?hidebots=1&hidecategorization=1&limit=50&days=7&enhanced=1&damaging__likelygood_color=c2&urlversion=2

✅ AC1: Highlighting is disabled on Mobile


✅ AC2: Highlighting is still enabled on Desktop Minerva

Edtadros updated the task description. (Show Details)Sep 11 2019, 1:00 AM
ovasileva closed this task as Resolved.Sep 11 2019, 9:14 AM
ovasileva updated the task description. (Show Details)

Looks good!